//A continuation is a data structure that holds the state between points of
//execution of a function. This is a nice way for data to be handed over
//from one thread to another as they pick up the execution of a function.

fun echo(n: Int) = n

suspend fun echoNonBlocking(n: Int) = n

//kotlinc-jvm sample.kts
//use 
//javap Sample.class
//
//  public final int echo(int);
//
//  public final java.lang.Object echoNonBlocking(int, 
//    kotlin.coroutines.Continuation<? super java.lang.Integer>);
//

