import kotlinx.coroutines.*

suspend fun task1() {
  println("entering task1 from ${Thread.currentThread()}")
  yield()
  println("exiting task1 from ${Thread.currentThread()}")
}

suspend fun task2() {
  println("entering task2 from ${Thread.currentThread()}")
  yield()
  println("exiting task2 from ${Thread.currentThread()}")
}

runBlocking {
  async { task1() }
  async { task2() }
  println("made the two calls... from ${Thread.currentThread()}")
}

